## echoprint-codegen 4.1-1

=== debian/changelog ===
echoprint-codegen (4.1-1) unstable; urgency=low

  * Initial import from git

 -- Ivan Daniluk <ivan.daniluk@gmail.com>  Mon, 27 Jun 2011 00:43:59 +0300
