=== debian/changelog ===
echoprint-codegen (4.1-2) unstable; urgency=low

  * Fixed dependencies.

 -- Ivan Daniluk <ivan.daniluk@gmail.com>  Mon, 28 Jun 2011 20:00:59 +0300
