=== debian/control ===
Source: echoprint-codegen
Priority: extra
Maintainer: Ivan Daniluk <ivan.daniluk@gmail.com>
Build-Depends: debhelper (>= 5), taglib-dev (>= 1.6.3-1), libboost1.42-dev, zlib1g-dev
Standards-Version: 3.7.2
Section: libs

Package: echoprint-codegen-dev
Section: libdevel
Architecture: any
Depends: echoprint-codegen
Description: Music fingerprint and identifying framework - dev files.
 Echoprint is an open source music fingerprint and
 resolving framework powered by the The Echo Nest.
 The code generator (library to convert PCM samples
 from a microphone or file into Echoprint codes) is
 open source (MIT licensed) and free for any use.

Package: echoprint-codegen
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, taglib1 (>= 1.6.3-1), ffmpeg, zlib1g
Description: Music fingerprint and identifying framework - bin and libs.
 Echoprint is an open source music fingerprint and
 resolving framework powered by the The Echo Nest.
 The code generator (library to convert PCM samples
 from a microphone or file into Echoprint codes) is
 open source (MIT licensed) and free for any use.
